Loyalty Point Types

A loyalty point type represents the different types of points that can be earned within a loyalty program. Members can accumulate points of various types based on their activities and transactions.

Create / Update Loyalty Point Types

Creates or updates a loyalty point type in the system. This will create the loyalty point type in Movio if it does not exist. If the loyalty point type exists, then it will be one to one replaced with the new data.

When creating a new loyalty point type, do not run this operation concurrently with PUT /members as this may lead to inconsistencies in member loyalty point balances.

SecurityOAuth2
Request
Request Body schema: application/json
required

The loyalty point types to be created.

Array ([ 1 .. 5000 ] items)
loyalty_point_type_id
required
string (LoyaltyPointType_id)

The unique identifier for the loyalty point type.

name
required
string

The name of the loyalty point type.

Responses
202

The response to a bulk request that succeeded.

400

The response to a bulk request that failed.

401

The request has not been applied because it lacks valid authentication credentials for the target resource.

422

The request was well-formed but was unable to be followed due to semantic errors.

put/loyalty-point-types
Request samples
application/json
[
  • {
    }
]
Response samples
application/json
{
  • "total": 3,
  • "created_count": 2,
  • "updated_count": 1
}

Delete Loyalty Point Type

Deletes a loyalty point type from the system. This effectively removes the loyalty point type from Movio. Useful when a loyalty point type is no longer available. Movio will keep the loyalty point type in the system for historical purposes.

SecurityOAuth2
Request
path Parameters
loyalty_point_type_id
required
string (LoyaltyPointType_id)

The unique identifier for a loyalty point type.

Example: LP1
Responses
204

The loyalty point type was deleted successfully.

400

The request could not be understood by the server due to malformed syntax.

401

The request has not been applied because it lacks valid authentication credentials for the target resource.

422

The request was well-formed but was unable to be followed due to semantic errors.

delete/loyalty-point-types/{loyalty_point_type_id}
Response samples
plain/text
The request could not be understood by the server due to
malformed syntax. The client should not repeat the request without
modifications.